# Copyright (c) 2015  Dave Love, University of Liverpool
# Copyright (c) 2018  Dave Love, University of Manchester
# Licence as for the package itself

%global commit a0be61abafdebf60c5945944df9ee289f4283709
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		ravel-gantt
Version:	1.0
Release:	1.git%shortcommit%{?dist}
Summary:	MPI trace visualization tool 
License:	LGPLv2
URL:		https://github.com/LLNL/ravel
Source0:	https://github.com/LLNL/ravel/archive/%commit/ravel-gantt-%shortcommit.tar.gz
Patch1:		ravel-gantt-esc.patch
BuildRequires:	cmake otf2-devel qt5-qtbase-devel openmpi-devel zlib-devel
%if 0%{?el6}%{?el7}
BuildRequires:	devtoolset-6-gcc-c++
%else
BuildRequires:	gcc-c++
%endif
# Otherwise complaints about it
Requires:	xkeyboard-config
# For libopen-trace-format
Requires:	openmpi%{?_isa}

# Not in epel7 openmpi's provides, at least
%global __requires_exclude libopen-trace-format\.so.*
%{?filter_setup:
%filter_from_requires /libopen-trace-format\.so.*/d
%filter_setup
}


%description
Ravel is an MPI trace visualization tool.  This version provides a normal
Gantt-type trace view, unlike the logical view of the plain ravel
package.  It reads OTF and OTF2 traces.


%prep
%setup -q -n ravel-%commit
%patch1 -p1 -b .orig


%build
%if 0%{?el6}%{?el7}
. /opt/rh/devtoolset-6/enable
export CXXFLAGS=-std=gnu++11
%endif
%_openmpi_load
LDFLAGS=-Wl,-rpath,$MPI_LIB
%cmake -DOTF_INCLUDE_DIRS=$MPI_INCLUDE/vampirtrace/open-trace-format \
       -DOTF_LIBRARIES=$MPI_LIB/libopen-trace-format.so
%make_build


%install
%make_install
mv %buildroot%_bindir/Ravel %buildroot%_bindir/%name


%files
%license LICENSE
%doc README.md
%_bindir/%name


%changelog
* Sun Dec  2 2018 Dave Love <loveshack@fedoraproject.org> - 1.0.0-1.gita0be61ab
- Initial packaging of the Gantt version



